export default {
	// 密码只能是6位数字
	sixNum(str) {
		let reg = /^\d{6}$/;
		if (!reg.test(str)) {
			return false
		} else {
			return true
		}
	},
	// 密码由6-12位数字和字母组成
	numLetter(str) {
		let reg = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/
		if (!reg.test(str)) {
			return false
		} else {
			return true
		}
	},
	// // 字符串只能由1-10位中文、数字、英文组成，且必须有中文
	// chineseNumLetter(str) {
	// 	let reg = /^([\u4E00-\uFA29]|[\uE7C7-\uE7F3]|[a-zA-Z0-9]){1,10}$/
	// 	if (reg.test(str)) {
	// 		// console.log('第一层通过')
	// 		let reg1 = new RegExp("[\\u4E00-\\u9FFF]+", "g");
	// 		if (reg1.test(str)) {
	// 			// console.log('第二层通过')
	// 			return true
	// 		} else {
	// 			return false
	// 		}
	// 	} else {
	// 		return false
	// 	}
	// },
	phone(str) {	
		let reg =/^1(3\d|4[5-9]|5[0-35-9]|6[567]|7[0-8]|8\d|9[0-35-9])\d{8}$/;
		if (reg.test(str)) {
			return true
		} else {
			return false
		}
	},
	email(str) {
		let reg = /^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/;
		if (reg.test(str)) {
			// console.log('第二层通过')
			return true
		} else {
			return false
		}
	},
	idCard(str) {
		let reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/; 
		if (reg.test(str)) {
			return true
		} else {
			return false
		}
	}
}
